__d_drop
Prev | The Directory Cache | Next

## Name

__d_drop — drop a dentry

## Synopsis

`void __d_drop (` | struct dentry * | dentry`)`;

## Arguments

`dentry`

  dentry to drop

## Description

`d_drop` unhashes the entry from the parent dentry hashes, so that it won't be found through a VFS lookup any more. Note that this is different from deleting the dentry - d_delete will try to mark the dentry negative if possible, giving a successful _negative_ lookup, while d_drop will just make the cache lookup fail.

`d_drop` is used mainly for stuff that wants to invalidate a dentry for some reason (NFS timeouts or autofs deletes).

__d_drop requires dentry->d_lock.

Prev | Up | Next
find_inode_number | Home | d_add